# AutonOne

Package org.firstinspires.ftc.teamcode

## Class AutonOne

- java.lang.Object
- - com.qualcomm.robotcore.eventloop.opmode.OpMode
  - - com.qualcomm.robotcore.eventloop.opmode.LinearOpMode
    - - org.firstinspires.ftc.teamcode.AutonOne

    @Autonomous(name="Autonomous 0.00000000000000000000000002 WORKING????")
    public class AutonOne
    extends com.qualcomm.robotcore.eventloop.opmode.LinearOpMode

### Field Summary

### Fields inherited from class com.qualcomm.robotcore.eventloop.opmode.OpMode

`gamepad1, gamepad2, hardwareMap, internalOpModeServices, msStuckDetectInit, msStuckDetectInitLoop, msStuckDetectLoop, msStuckDetectStart, msStuckDetectStop, telemetry, time`

### Constructor Summary

Constructors
`AutonOne()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `runOpMode()`

### Methods inherited from class com.qualcomm.robotcore.eventloop.opmode.LinearOpMode

`idle, init, init_loop, internalPostInitLoop, internalPostLoop, isStarted, isStopRequested, loop, opModeIsActive, sleep, start, stop, waitForStart`

### Methods inherited from class com.qualcomm.robotcore.eventloop.opmode.OpMode

`getRuntime, internalPreInit, internalUpdateTelemetryNow, requestOpModeStop, resetStartTime, updateTelemetry`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AutonOne

    public AutonOne()

### Method Detail

#### runOpMode

    public void runOpMode()

Specified by:
  `runOpMode` in class `com.qualcomm.robotcore.eventloop.opmode.LinearOpMode`